Get fundamentals snapshot
curl --request POST \
--url https://api.kanarie.xyz/api/v1/data/fundamentals/snapshot \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"metrics": [
"tvl",
"fees",
"revenue"
],
"group_by": "protocol",
"timeframes": [
"7d",
"30d"
],
"entity_limit": 25
}
'const url = 'https://api.kanarie.xyz/api/v1/data/fundamentals/snapshot';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
metrics: ['tvl', 'fees', 'revenue'],
group_by: 'protocol',
timeframes: ['7d', '30d'],
entity_limit: 25
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://api.kanarie.xyz/api/v1/data/fundamentals/snapshot"
payload = {
"metrics": ["tvl", "fees", "revenue"],
"group_by": "protocol",
"timeframes": ["7d", "30d"],
"entity_limit": 25
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"error": null,
"data_source": "defi_llama",
"data": [
{
"entity": "aave",
"type": "protocol",
"tvl": 12500000000,
"fees": 3500000
}
],
"metadata": {
"metrics": [
"tvl",
"fees",
"revenue"
],
"group_by": "protocol",
"total_entities": 25
}
}{
"error": "Validation failed",
"details": [
"limit must be a number between 1 and 100"
]
}{
"error": "Missing API key. Expected Authorization: Bearer <api-key> or x-kanarie-api-key: <api-key>."
}{
"x402Version": 2,
"error": "Payment required",
"accepts": [
{}
]
}{
"error": "Invalid API key"
}{
"error": "Rate limit exceeded",
"limit": 123,
"plan": "casual",
"window": "15 minutes",
"retryAfter": 900
}{
"error": "Internal server error"
}Data
Get fundamentals snapshot
Retrieve current fundamentals with timeframe changes. Supports API key auth or x402 fallback.
POST
https://api.kanarie.xyz
/
api
/
v1
/
data
/
fundamentals
/
snapshot
Get fundamentals snapshot
curl --request POST \
--url https://api.kanarie.xyz/api/v1/data/fundamentals/snapshot \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"metrics": [
"tvl",
"fees",
"revenue"
],
"group_by": "protocol",
"timeframes": [
"7d",
"30d"
],
"entity_limit": 25
}
'const url = 'https://api.kanarie.xyz/api/v1/data/fundamentals/snapshot';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
metrics: ['tvl', 'fees', 'revenue'],
group_by: 'protocol',
timeframes: ['7d', '30d'],
entity_limit: 25
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://api.kanarie.xyz/api/v1/data/fundamentals/snapshot"
payload = {
"metrics": ["tvl", "fees", "revenue"],
"group_by": "protocol",
"timeframes": ["7d", "30d"],
"entity_limit": 25
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"error": null,
"data_source": "defi_llama",
"data": [
{
"entity": "aave",
"type": "protocol",
"tvl": 12500000000,
"fees": 3500000
}
],
"metadata": {
"metrics": [
"tvl",
"fees",
"revenue"
],
"group_by": "protocol",
"total_entities": 25
}
}{
"error": "Validation failed",
"details": [
"limit must be a number between 1 and 100"
]
}{
"error": "Missing API key. Expected Authorization: Bearer <api-key> or x-kanarie-api-key: <api-key>."
}{
"x402Version": 2,
"error": "Payment required",
"accepts": [
{}
]
}{
"error": "Invalid API key"
}{
"error": "Rate limit exceeded",
"limit": 123,
"plan": "casual",
"window": "15 minutes",
"retryAfter": 900
}{
"error": "Internal server error"
}Authorizations
bearerAuthkanarieApiKey
Preferred Kanarie API key authentication using Authorization: Bearer .
Body
application/json
Available options:
tvl, fees, revenue Available options:
protocol, chain, category Available options:
1d, 7d, 30d, 90d, 180d, 1y Required range:
1 <= x <= 100Available options:
tvl, fees, revenue Was this page helpful?